MyGUI_GeometryUtility.cpp File Reference
`#include "MyGUI_Precompiled.h"`
`#include "MyGUI_GeometryUtility.h"`

Go to the source code of this file.

## Namespaces

namespace | MyGUI
namespace | MyGUI::geometry_utility

## Functions

VectorFloatPoint | MyGUI::geometry_utility::cropPolygon (FloatPoint *_baseVerticiesPos, size_t _size, const IntCoord &_cropRectangle)
void | MyGUI::geometry_utility::cropPolygonSide (VectorFloatPoint &_verticies, int _sideCoord, Side _side)
FloatPoint | MyGUI::geometry_utility::getPositionInsideRect (const FloatPoint &_point, const FloatPoint &_corner0, const FloatPoint &_corner1, const FloatPoint &_corner2)
FloatPoint | MyGUI::geometry_utility::getUVFromPositionInsideRect (const FloatPoint &_point, const FloatPoint &_v0, const FloatPoint &_v1, const FloatPoint &_baseUV)